﻿Imports System.IO

Public Class SpreadImage
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If IsPostBack Then Return
    End Sub

    Private Sub btnUpload_Click(sender As Object, e As System.EventArgs) Handles btnUpload.Click
        Dim di As New DirectoryInfo(Server.MapPath("Image"))
        Dim rgFiles As FileInfo() = di.GetFiles("*.jpeg")
        For Each fi As FileInfo In rgFiles
            fi.Delete()
        Next

        ' Check whether file upload control has a file
        If FileUpload1.HasFile Then
            'check whether the selected file is a .jpg image file
            If FileUpload1.PostedFile.ContentType = "image/jpeg" Then
                'limit the image file size in bytes.
                If FileUpload1.PostedFile.ContentLength < 10000000 Then
                    'upload the file to "Image" folder
                    Dim filename As String = Server.MapPath("Image") + "\" + Path.GetFileName(FileUpload1.FileName)
                    ' save the file to "Image" folder
                    FileUpload1.SaveAs(filename)
                    ' create an ImageCellType object
                    Dim img As New FarPoint.Web.Spread.ImageCellType()
                    ' set the ImageUrl property for ImageCellType object to the uploaded file in "img" folder
                    img.ImageUrl = "Image/" + FileUpload1.FileName
                    ' set the celltype for Spread sheet's cell(0,0) to image cell type
                    FpSpread1.ActiveSheetView.Cells(0, 0).CellType = img
                    lblAfterUpload.Text = "Image uploaded Successfully"
                End If
            End If
        End If
    End Sub
End Class